Enterprise Update

Ansicht von 5 Beiträgen - 1 bis 5 (von insgesamt 5)
  • Autor
    Beiträge
  • #1863
    Anonym

    Hallo,

    ich versuche gerade die OpenZ VM Instanz auf das aktuelle Enterprise Release zu ziehen.

    Angefangen habe ich mit der 3.0.00.410 OpenZ KVM VM

    Danach habe ich erfolgreich 3.0.02 und 3.0.04 installiert.

    Das Einspielen der 3.0.06 bricht mit der Fehlermeldung “Unsupported major.minor version 51.0” ab.

    Calling DEPLOYMENT-Script for openz ……..
    Installing Version ozDeployment_3.0.06.524.tar.gz ………………………………………………………………………….
    Excecuting deploy for openz and ozDeployment_3.0.06.524.tar.gz
    Logging to /home/zisoft/config/2015-12-02-1449096350_deploy.log
    Exception in thread “main” java.lang.UnsupportedClassVersionError: org/openbravo/database/ConnectionProvider : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:643)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:323)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:268)
    at com.openz.update.ImportModule.main(Unknown Source)
    Database-Scripts returned an ERROR
    Updates not complete
    You can restart your Server with the Old Version.
    Please Import last Database Backup before.
    Also you have to Deploy the last Tarball.
    ERROR in Application openz Deployment – SEE LOG for DETAILS!!!!!!!
    !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

    Wenn ich das richtig sehe wird ein Java upgrade benötigt um den höheren DB Supportlevel zu erreichen.

    Richtig?

    Welche Java Version wird benötigt?

    Gibt es einen Update Leitfaden/Howto/Best Practice für die Enterprise Version?

    Danke und Gruß

    Dominik Saar

    #1864
    Anonym

    Hallo Herr Saar,

    die VM 3.0.00.410 ist tatsächlich nicht mehr auf dem aktuellsten Stand.
    Neben dem Ablösen des Java Sun Pakets mit OpenJDK 7, sollten Sie gegebenenfalls ebenfalls Postgresql auf die Version 9.1 bringen.
    Das letzte Update von einer frühen Version, welches ich vorgenommen habe, musste ebenfalls in kleineren Schritten passieren. Da eben eine Ablösung von Java dazwischen lag.
    Das habe ich wie folgt gemacht.
    Version 2.86 –> 3.04 (Hier war die letzte Version vor dem Java Update) –> 3.06 –> neueste Version.

    Sobald eine Version erfolgreich upgedatet wurde, habe ich zusätzlich einen DB Dump gezogen, um bei möglichen Fehlern nicht komplett zurückzufallen.

    Außerdem empfehle ich die Updates von JAVA und POSTGRESQL auf Version 3.04 durchzuführen. Vor dem Update von Postgresql natürlich vorher noch einmal einen Dump machen.

    Dann sollte eigentlich alles klappen.

    Bei Fragen stehe ich gerne zur Verfügung, ich hoffe ich konnte helfen.

    Beste Grüße,
    Danny Heuduk

    #1866
    Anonym

    Hallo Herr Heuduk,

    vielen Dank für die schnelle Antwort.

    Ich habe OpenJDK 6 deinstalliert und das Update auf die 3.0.06 erneut gestartet.

    Das Build läuft diesmal durch, allerdings versucht das Update anscheinend auf

    myerponline.de zu kommen und das klappt nicht.

    Diesen String habe ich auch nur in dem openz.sql File gefunden … ???

    Grüße

    Dominik Saar

    copy.files:
    [copy] Copying 19127 files to /var/lib/tomcat7/webapps/openz
    [mkdir] Created dir: /var/lib/tomcat7/webapps/openz/WEB-INF/classes
    [copy] Copying 3009 files to /var/lib/tomcat7/webapps/openz/WEB-INF/classes

    BUILD SUCCESSFUL
    Total time: 10 seconds
    Application-Directory for openz deployed…
    Running Database-Scripts for openz – Installation of DISTRI….
    Exception in thread “main” AxisFault
    faultCode: {http://schemas.xmlsoap.org/soap/envelope/}Server.userException
    faultSubcode:
    faultString: java.net.UnknownHostException: myerponline.de
    faultActor:
    faultNode:
    faultDetail:
    {http://xml.apache.org/axis/}stackTrace:java.net.UnknownHostException: myerponline.de
    at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:178)
    at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)
    at java.net.Socket.connect(Socket.java:579)
    at sun.security.ssl.SSLSocketImpl.connect(SSLSocketImpl.java:625)
    at sun.security.ssl.SSLSocketImpl.(SSLSocketImpl.java:413)
    at sun.security.ssl.SSLSocketFactoryImpl.createSocket(SSLSocketFactoryImpl.java:88)
    at org.apache.axis.components.net.JSSESocketFactory.create(JSSESocketFactory.java:92)
    at org.apache.axis.transport.http.HTTPSender.getSocket(HTTPSender.java:191)
    at org.apache.axis.transport.http.HTTPSender.writeToSocket(HTTPSender.java:404)
    at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:138)
    at org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)
    at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
    at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
    at org.apache.axis.client.AxisClient.invoke(AxisClient.java:165)
    at org.apache.axis.client.Call.invokeEngine(Call.java:2784)
    at org.apache.axis.client.Call.invoke(Call.java:2767)
    at org.apache.axis.client.Call.invoke(Call.java:2443)
    at org.apache.axis.client.Call.invoke(Call.java:2366)
    at org.apache.axis.client.Call.invoke(Call.java:1812)
    at com.openz.update.k.a(Unknown Source)
    at com.openz.update.f.a(Unknown Source)
    at com.openz.update.c.a(Unknown Source)
    at com.openz.update.ImportModule.main(Unknown Source)

    {http://xml.apache.org/axis/}hostname:sicom-openz-test

    java.net.UnknownHostException: myerponline.de
    at org.apache.axis.AxisFault.makeFault(AxisFault.java:101)
    at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:154)
    at org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)
    at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
    at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
    at org.apache.axis.client.AxisClient.invoke(AxisClient.java:165)
    at org.apache.axis.client.Call.invokeEngine(Call.java:2784)
    at org.apache.axis.client.Call.invoke(Call.java:2767)
    at org.apache.axis.client.Call.invoke(Call.java:2443)
    at org.apache.axis.client.Call.invoke(Call.java:2366)
    at org.apache.axis.client.Call.invoke(Call.java:1812)
    at com.openz.update.k.a(Unknown Source)
    at com.openz.update.f.a(Unknown Source)
    at com.openz.update.c.a(Unknown Source)
    at com.openz.update.ImportModule.main(Unknown Source)
    Caused by: java.net.UnknownHostException: myerponline.de
    at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:178)
    at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)
    at java.net.Socket.connect(Socket.java:579)
    at sun.security.ssl.SSLSocketImpl.connect(SSLSocketImpl.java:625)
    at sun.security.ssl.SSLSocketImpl.(SSLSocketImpl.java:413)
    at sun.security.ssl.SSLSocketFactoryImpl.createSocket(SSLSocketFactoryImpl.java:88)
    at org.apache.axis.components.net.JSSESocketFactory.create(JSSESocketFactory.java:92)
    at org.apache.axis.transport.http.HTTPSender.getSocket(HTTPSender.java:191)
    at org.apache.axis.transport.http.HTTPSender.writeToSocket(HTTPSender.java:404)
    at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:138)
    … 13 more

    Editiert von dsaard – 03.12.2015 11:59

    #1867
    Anonym

    Hallo,

    habs jetzt einfach nochmal laufen lassen und es gab kein Problem mehr ….

    Grüße

    Dominik Saar

    #1868
    Anonym

    Hallo Herr Saar,

    vielen Dank für Ihr Feedback.
    Der zu aktualisierende Server benötigt, wie Sie korrekt festgestellt haben, während des Updates Zugriff auf das Internet.

    Schön, dass es nun funktioniert.

    Mit freundlichen Grüßen
    Danny Heuduk

Ansicht von 5 Beiträgen - 1 bis 5 (von insgesamt 5)
  • Du musst angemeldet sein, um auf dieses Thema antworten zu können.
Scroll to Top